Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6286 - sysinit issues error message of /proc/sys/kernel/sysrq not present
Summary: sysinit issues error message of /proc/sys/kernel/sysrq not present
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-23 17:57 UTC by Olivier Crête
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-25 16:04:33 UTC


Attachments (Terms of Use)

Description Olivier Crête 1999-10-23 17:57:05 UTC
If the kernel is compiled w/o sysrq support, rc.sysinit
issues an error message like "/proc/sys/kernel/sysrq: No
such file or directory" I think this simple patch could do
it

  # Turn off sysrq
- if [ "$MAGIC_SYSRQ" = "no" ];
+ if [ "$MAGIC_SYSRQ" = "no" -a -e /proc/sys/kernel/sysrq
];   then
          echo "0" > /proc/sys/kernel/sysrq
  fi

Comment 1 Bill Nottingham 1999-10-25 16:04:59 UTC
Already fixed in the latest initscripts in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.